package info.bukova.isspst.ui.users;

import info.bukova.isspst.data.Role;
import info.bukova.isspst.data.User;

import java.util.ArrayList;
import java.util.List;

public class UserRoles {
	
	private List<RoleCheck> roleChecks;
	
	public UserRoles(User user, List<Role> roles) {
		roleChecks = new ArrayList<RoleCheck>();
		for (Role r : roles) {
			roleChecks.add(new RoleCheck(user, r));
		}
	}
	
	public List<RoleCheck> getRoleChecks() {
		return roleChecks;
	}

}
